//===========================================================================
//
//  Filename  : task.cpp
//  Purpose   : Task Model for QtGantt
//  Copyright : Copyright (C) 2000 Matt J. Gumbley <matt@gumbley.demon.co.uk>
//  Original  : by Gunnstein Lye
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//===========================================================================

#include <iostream.h>

#include <qfile.h>
#include <qtextstream.h>
#include <qdatetime.h>
#include <qstring.h>

#include "task.h"

Task::Task( )
{
	num = 0; // remove?
	type = TASK;

	// unused for now...
	constrained = collapsed = false;
	durationtype = DAYS;
	durationlength = 0;

	startdate = 0;
	enddate = 0;
	after = 0;
	completed = 0;
	description = 0;
}

Task::~Task()
{
	if (startdate) {
		delete startdate;
		startdate = 0;
	}
	if (enddate) {
		delete enddate;
		enddate = 0;
	}
	if (description) {
		delete description;
		description = 0;
	}
}



